﻿//------------------------------------------------------------------------------
// <auto-generated>
//     This code was generated by a tool.
//     Runtime Version:4.0.30319.42000
//
//     Changes to this file may cause incorrect behavior and will be lost if
//     the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------

namespace CadastroDePessoas_v._1.ws {
    
    
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    [System.ServiceModel.ServiceContractAttribute(Namespace="http://ws.up.edu.br/", ConfigurationName="ws.CadastroWS")]
    public interface CadastroWS {
        
        // CODEGEN: Parameter 'arg0' requires additional schema information that cannot be captured using the parameter mode. The specific attribute is 'System.Xml.Serialization.XmlElementAttribute'.
        [System.ServiceModel.OperationContractAttribute(Action="http://ws.up.edu.br/CadastroWS/excluirRequest", ReplyAction="http://ws.up.edu.br/CadastroWS/excluirResponse")]
        [System.ServiceModel.XmlSerializerFormatAttribute(SupportFaults=true)]
        CadastroDePessoas_v._1.ws.excluirResponse excluir(CadastroDePessoas_v._1.ws.excluirRequest request);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://ws.up.edu.br/CadastroWS/excluirRequest", ReplyAction="http://ws.up.edu.br/CadastroWS/excluirResponse")]
        System.Threading.Tasks.Task<CadastroDePessoas_v._1.ws.excluirResponse> excluirAsync(CadastroDePessoas_v._1.ws.excluirRequest request);
        
        // CODEGEN: Parameter 'return' requires additional schema information that cannot be captured using the parameter mode. The specific attribute is 'System.Xml.Serialization.XmlElementAttribute'.
        [System.ServiceModel.OperationContractAttribute(Action="http://ws.up.edu.br/CadastroWS/buscarRequest", ReplyAction="http://ws.up.edu.br/CadastroWS/buscarResponse")]
        [System.ServiceModel.XmlSerializerFormatAttribute(SupportFaults=true)]
        [return: System.ServiceModel.MessageParameterAttribute(Name="return")]
        CadastroDePessoas_v._1.ws.buscarResponse buscar(CadastroDePessoas_v._1.ws.buscarRequest request);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://ws.up.edu.br/CadastroWS/buscarRequest", ReplyAction="http://ws.up.edu.br/CadastroWS/buscarResponse")]
        System.Threading.Tasks.Task<CadastroDePessoas_v._1.ws.buscarResponse> buscarAsync(CadastroDePessoas_v._1.ws.buscarRequest request);
        
        // CODEGEN: Parameter 'arg0' requires additional schema information that cannot be captured using the parameter mode. The specific attribute is 'System.Xml.Serialization.XmlElementAttribute'.
        [System.ServiceModel.OperationContractAttribute(Action="http://ws.up.edu.br/CadastroWS/salvarRequest", ReplyAction="http://ws.up.edu.br/CadastroWS/salvarResponse")]
        [System.ServiceModel.XmlSerializerFormatAttribute(SupportFaults=true)]
        CadastroDePessoas_v._1.ws.salvarResponse salvar(CadastroDePessoas_v._1.ws.salvarRequest request);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://ws.up.edu.br/CadastroWS/salvarRequest", ReplyAction="http://ws.up.edu.br/CadastroWS/salvarResponse")]
        System.Threading.Tasks.Task<CadastroDePessoas_v._1.ws.salvarResponse> salvarAsync(CadastroDePessoas_v._1.ws.salvarRequest request);
        
        // CODEGEN: Parameter 'return' requires additional schema information that cannot be captured using the parameter mode. The specific attribute is 'System.Xml.Serialization.XmlElementAttribute'.
        [System.ServiceModel.OperationContractAttribute(Action="http://ws.up.edu.br/CadastroWS/listarRequest", ReplyAction="http://ws.up.edu.br/CadastroWS/listarResponse")]
        [System.ServiceModel.XmlSerializerFormatAttribute(SupportFaults=true)]
        [return: System.ServiceModel.MessageParameterAttribute(Name="return")]
        CadastroDePessoas_v._1.ws.listarResponse listar(CadastroDePessoas_v._1.ws.listarRequest request);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://ws.up.edu.br/CadastroWS/listarRequest", ReplyAction="http://ws.up.edu.br/CadastroWS/listarResponse")]
        System.Threading.Tasks.Task<CadastroDePessoas_v._1.ws.listarResponse> listarAsync(CadastroDePessoas_v._1.ws.listarRequest request);
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
    [System.ServiceModel.MessageContractAttribute(WrapperName="excluir", WrapperNamespace="http://ws.up.edu.br/", IsWrapped=true)]
    public partial class excluirRequest {
        
        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="http://ws.up.edu.br/", Order=0)]
        [System.Xml.Serialization.XmlElementAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified)]
        public int arg0;
        
        public excluirRequest() {
        }
        
        public excluirRequest(int arg0) {
            this.arg0 = arg0;
        }
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
    [System.ServiceModel.MessageContractAttribute(WrapperName="excluirResponse", WrapperNamespace="http://ws.up.edu.br/", IsWrapped=true)]
    public partial class excluirResponse {
        
        public excluirResponse() {
        }
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Xml", "4.6.79.0")]
    [System.SerializableAttribute()]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(Namespace="http://ws.up.edu.br/")]
    public partial class pessoa : object, System.ComponentModel.INotifyPropertyChanged {
        
        private endereco enderecoField;
        
        private byte[] fotoField;
        
        private int idField;
        
        private bool idFieldSpecified;
        
        private string nomeField;
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified, Order=0)]
        public endereco endereco {
            get {
                return this.enderecoField;
            }
            set {
                this.enderecoField = value;
                this.RaisePropertyChanged("endereco");
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified, DataType="base64Binary", Order=1)]
        public byte[] foto {
            get {
                return this.fotoField;
            }
            set {
                this.fotoField = value;
                this.RaisePropertyChanged("foto");
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified, Order=2)]
        public int id {
            get {
                return this.idField;
            }
            set {
                this.idField = value;
                this.RaisePropertyChanged("id");
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool idSpecified {
            get {
                return this.idFieldSpecified;
            }
            set {
                this.idFieldSpecified = value;
                this.RaisePropertyChanged("idSpecified");
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified, Order=3)]
        public string nome {
            get {
                return this.nomeField;
            }
            set {
                this.nomeField = value;
                this.RaisePropertyChanged("nome");
            }
        }
        
        public event System.ComponentModel.PropertyChangedEventHandler PropertyChanged;
        
        protected void RaisePropertyChanged(string propertyName) {
            System.ComponentModel.PropertyChangedEventHandler propertyChanged = this.PropertyChanged;
            if ((propertyChanged != null)) {
                propertyChanged(this, new System.ComponentModel.PropertyChangedEventArgs(propertyName));
            }
        }
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Xml", "4.6.79.0")]
    [System.SerializableAttribute()]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(Namespace="http://ws.up.edu.br/")]
    public partial class endereco : object, System.ComponentModel.INotifyPropertyChanged {
        
        private int idField;
        
        private bool idFieldSpecified;
        
        private string numeroField;
        
        private string ruaField;
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified, Order=0)]
        public int id {
            get {
                return this.idField;
            }
            set {
                this.idField = value;
                this.RaisePropertyChanged("id");
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool idSpecified {
            get {
                return this.idFieldSpecified;
            }
            set {
                this.idFieldSpecified = value;
                this.RaisePropertyChanged("idSpecified");
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified, Order=1)]
        public string numero {
            get {
                return this.numeroField;
            }
            set {
                this.numeroField = value;
                this.RaisePropertyChanged("numero");
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified, Order=2)]
        public string rua {
            get {
                return this.ruaField;
            }
            set {
                this.ruaField = value;
                this.RaisePropertyChanged("rua");
            }
        }
        
        public event System.ComponentModel.PropertyChangedEventHandler PropertyChanged;
        
        protected void RaisePropertyChanged(string propertyName) {
            System.ComponentModel.PropertyChangedEventHandler propertyChanged = this.PropertyChanged;
            if ((propertyChanged != null)) {
                propertyChanged(this, new System.ComponentModel.PropertyChangedEventArgs(propertyName));
            }
        }
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
    [System.ServiceModel.MessageContractAttribute(WrapperName="buscar", WrapperNamespace="http://ws.up.edu.br/", IsWrapped=true)]
    public partial class buscarRequest {
        
        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="http://ws.up.edu.br/", Order=0)]
        [System.Xml.Serialization.XmlElementAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified)]
        public int arg0;
        
        public buscarRequest() {
        }
        
        public buscarRequest(int arg0) {
            this.arg0 = arg0;
        }
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
    [System.ServiceModel.MessageContractAttribute(WrapperName="buscarResponse", WrapperNamespace="http://ws.up.edu.br/", IsWrapped=true)]
    public partial class buscarResponse {
        
        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="http://ws.up.edu.br/", Order=0)]
        [System.Xml.Serialization.XmlElementAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified)]
        public CadastroDePessoas_v._1.ws.pessoa @return;
        
        public buscarResponse() {
        }
        
        public buscarResponse(CadastroDePessoas_v._1.ws.pessoa @return) {
            this.@return = @return;
        }
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
    [System.ServiceModel.MessageContractAttribute(WrapperName="salvar", WrapperNamespace="http://ws.up.edu.br/", IsWrapped=true)]
    public partial class salvarRequest {
        
        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="http://ws.up.edu.br/", Order=0)]
        [System.Xml.Serialization.XmlElementAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified)]
        public CadastroDePessoas_v._1.ws.pessoa arg0;
        
        public salvarRequest() {
        }
        
        public salvarRequest(CadastroDePessoas_v._1.ws.pessoa arg0) {
            this.arg0 = arg0;
        }
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
    [System.ServiceModel.MessageContractAttribute(WrapperName="salvarResponse", WrapperNamespace="http://ws.up.edu.br/", IsWrapped=true)]
    public partial class salvarResponse {
        
        public salvarResponse() {
        }
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
    [System.ServiceModel.MessageContractAttribute(WrapperName="listar", WrapperNamespace="http://ws.up.edu.br/", IsWrapped=true)]
    public partial class listarRequest {
        
        public listarRequest() {
        }
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
    [System.ServiceModel.MessageContractAttribute(WrapperName="listarResponse", WrapperNamespace="http://ws.up.edu.br/", IsWrapped=true)]
    public partial class listarResponse {
        
        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="http://ws.up.edu.br/", Order=0)]
        [System.Xml.Serialization.XmlElementAttribute("return", Form=System.Xml.Schema.XmlSchemaForm.Unqualified)]
        public CadastroDePessoas_v._1.ws.pessoa[] @return;
        
        public listarResponse() {
        }
        
        public listarResponse(CadastroDePessoas_v._1.ws.pessoa[] @return) {
            this.@return = @return;
        }
    }
    
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    public interface CadastroWSChannel : CadastroDePessoas_v._1.ws.CadastroWS, System.ServiceModel.IClientChannel {
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    public partial class CadastroWSClient : System.ServiceModel.ClientBase<CadastroDePessoas_v._1.ws.CadastroWS>, CadastroDePessoas_v._1.ws.CadastroWS {
        
        public CadastroWSClient() {
        }
        
        public CadastroWSClient(string endpointConfigurationName) : 
                base(endpointConfigurationName) {
        }
        
        public CadastroWSClient(string endpointConfigurationName, string remoteAddress) : 
                base(endpointConfigurationName, remoteAddress) {
        }
        
        public CadastroWSClient(string endpointConfigurationName, System.ServiceModel.EndpointAddress remoteAddress) : 
                base(endpointConfigurationName, remoteAddress) {
        }
        
        public CadastroWSClient(System.ServiceModel.Channels.Binding binding, System.ServiceModel.EndpointAddress remoteAddress) : 
                base(binding, remoteAddress) {
        }
        
        [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
        CadastroDePessoas_v._1.ws.excluirResponse CadastroDePessoas_v._1.ws.CadastroWS.excluir(CadastroDePessoas_v._1.ws.excluirRequest request) {
            return base.Channel.excluir(request);
        }
        
        public void excluir(int arg0) {
            CadastroDePessoas_v._1.ws.excluirRequest inValue = new CadastroDePessoas_v._1.ws.excluirRequest();
            inValue.arg0 = arg0;
            CadastroDePessoas_v._1.ws.excluirResponse retVal = ((CadastroDePessoas_v._1.ws.CadastroWS)(this)).excluir(inValue);
        }
        
        [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
        System.Threading.Tasks.Task<CadastroDePessoas_v._1.ws.excluirResponse> CadastroDePessoas_v._1.ws.CadastroWS.excluirAsync(CadastroDePessoas_v._1.ws.excluirRequest request) {
            return base.Channel.excluirAsync(request);
        }
        
        public System.Threading.Tasks.Task<CadastroDePessoas_v._1.ws.excluirResponse> excluirAsync(int arg0) {
            CadastroDePessoas_v._1.ws.excluirRequest inValue = new CadastroDePessoas_v._1.ws.excluirRequest();
            inValue.arg0 = arg0;
            return ((CadastroDePessoas_v._1.ws.CadastroWS)(this)).excluirAsync(inValue);
        }
        
        [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
        CadastroDePessoas_v._1.ws.buscarResponse CadastroDePessoas_v._1.ws.CadastroWS.buscar(CadastroDePessoas_v._1.ws.buscarRequest request) {
            return base.Channel.buscar(request);
        }
        
        public CadastroDePessoas_v._1.ws.pessoa buscar(int arg0) {
            CadastroDePessoas_v._1.ws.buscarRequest inValue = new CadastroDePessoas_v._1.ws.buscarRequest();
            inValue.arg0 = arg0;
            CadastroDePessoas_v._1.ws.buscarResponse retVal = ((CadastroDePessoas_v._1.ws.CadastroWS)(this)).buscar(inValue);
            return retVal.@return;
        }
        
        [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
        System.Threading.Tasks.Task<CadastroDePessoas_v._1.ws.buscarResponse> CadastroDePessoas_v._1.ws.CadastroWS.buscarAsync(CadastroDePessoas_v._1.ws.buscarRequest request) {
            return base.Channel.buscarAsync(request);
        }
        
        public System.Threading.Tasks.Task<CadastroDePessoas_v._1.ws.buscarResponse> buscarAsync(int arg0) {
            CadastroDePessoas_v._1.ws.buscarRequest inValue = new CadastroDePessoas_v._1.ws.buscarRequest();
            inValue.arg0 = arg0;
            return ((CadastroDePessoas_v._1.ws.CadastroWS)(this)).buscarAsync(inValue);
        }
        
        [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
        CadastroDePessoas_v._1.ws.salvarResponse CadastroDePessoas_v._1.ws.CadastroWS.salvar(CadastroDePessoas_v._1.ws.salvarRequest request) {
            return base.Channel.salvar(request);
        }
        
        public void salvar(CadastroDePessoas_v._1.ws.pessoa arg0) {
            CadastroDePessoas_v._1.ws.salvarRequest inValue = new CadastroDePessoas_v._1.ws.salvarRequest();
            inValue.arg0 = arg0;
            CadastroDePessoas_v._1.ws.salvarResponse retVal = ((CadastroDePessoas_v._1.ws.CadastroWS)(this)).salvar(inValue);
        }
        
        [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
        System.Threading.Tasks.Task<CadastroDePessoas_v._1.ws.salvarResponse> CadastroDePessoas_v._1.ws.CadastroWS.salvarAsync(CadastroDePessoas_v._1.ws.salvarRequest request) {
            return base.Channel.salvarAsync(request);
        }
        
        public System.Threading.Tasks.Task<CadastroDePessoas_v._1.ws.salvarResponse> salvarAsync(CadastroDePessoas_v._1.ws.pessoa arg0) {
            CadastroDePessoas_v._1.ws.salvarRequest inValue = new CadastroDePessoas_v._1.ws.salvarRequest();
            inValue.arg0 = arg0;
            return ((CadastroDePessoas_v._1.ws.CadastroWS)(this)).salvarAsync(inValue);
        }
        
        [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
        CadastroDePessoas_v._1.ws.listarResponse CadastroDePessoas_v._1.ws.CadastroWS.listar(CadastroDePessoas_v._1.ws.listarRequest request) {
            return base.Channel.listar(request);
        }
        
        public CadastroDePessoas_v._1.ws.pessoa[] listar() {
            CadastroDePessoas_v._1.ws.listarRequest inValue = new CadastroDePessoas_v._1.ws.listarRequest();
            CadastroDePessoas_v._1.ws.listarResponse retVal = ((CadastroDePessoas_v._1.ws.CadastroWS)(this)).listar(inValue);
            return retVal.@return;
        }
        
        [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
        System.Threading.Tasks.Task<CadastroDePessoas_v._1.ws.listarResponse> CadastroDePessoas_v._1.ws.CadastroWS.listarAsync(CadastroDePessoas_v._1.ws.listarRequest request) {
            return base.Channel.listarAsync(request);
        }
        
        public System.Threading.Tasks.Task<CadastroDePessoas_v._1.ws.listarResponse> listarAsync() {
            CadastroDePessoas_v._1.ws.listarRequest inValue = new CadastroDePessoas_v._1.ws.listarRequest();
            return ((CadastroDePessoas_v._1.ws.CadastroWS)(this)).listarAsync(inValue);
        }
    }
}
